## kde-runtime 4.14.2

=== nepomuk/kioslaves/search/CMakeLists.txt ===
project(kioslave_nepomuksearch)

include(SopranoAddOntology)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=300200)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${KDE4_KIO_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${NEPOMUK_CORE_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${nepomuk_kio_slaves_SOURCE_DIR}/common
)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DDISABLE_NEPOMUK_LEGACY)

set(kio_nepomuksearch_PART_SRCS
  kio_nepomuksearch.cpp
  searchfolder.cpp
)

soprano_add_ontology(kio_nepomuksearch_PART_SRCS ${NEPOMUK_CORE_ONTOLOGY_DIR}/kde/kext.trig "KExt" "Nepomuk2::Vocabulary" "trig")

kde4_add_plugin(kio_nepomuksearch
  ${kio_nepomuksearch_PART_SRCS})

target_link_libraries(kio_nepomuksearch
  ${KDE4_KIO_LIBS}
  ${KDE4_SOLID_LIBS}
  ${NEPOMUK_CORE_LIBRARY}
  ${SOPRANO_LIBRARIES}
  )

install(
  TARGETS kio_nepomuksearch
  DESTINATION ${PLUGIN_INSTALL_DIR})
install(
  FILES nepomuksearch.protocol
  DESTINATION  ${SERVICES_INSTALL_DIR})

add_subdirectory(kdedmodule)

=== plasma/declarativeimports/dirmodel/CMakeLists.txt ===
project(dirmodel)

set(dirmodel_SRCS
    dirmodel.cpp
    dirmodelplugin.cpp
    )

qt4_automoc(${dirmodel_SRCS})

kde4_add_library(dirmodelplugin SHARED ${dirmodel_SRCS})
target_link_libraries(dirmodelplugin
        ${QT_QTCORE_LIBRARY}
        ${QT_QTDECLARATIVE_LIBRARY}
        ${KDE4_KIO_LIBS}
        )

install(TARGETS dirmodelplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/dirmodel)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/dirmodel)

#add_subdirectory(test)

=== debian/changelog ===
kde-runtime (4:4.14.2-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Maximiliano Curia ]
  * New upstream patch: upstream_sanitize_path, fixes CVE-2014-8600
    (Closes: #769632) Thanks to Salvatore Bonaccorso

 -- Maximiliano Curia <maxy@debian.org>  Wed, 10 Dec 2014 20:23:02 +0100

kde-runtime (4:4.14.2-1) unstable; urgency=medium

  * Add Suggests of libcanberra-pulse and sound-theme-freedesktop, used
    in the Audio Hardware Setup to test the speakers. (Closes: #737779)
  * New upstream release (4.14.2).
  * Remove upstream applied patch:
    kshorturifilter_qgetenv_calling_error.diff

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 19:12:39 +0200

kde-runtime (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).
  * kde-runtime-data: Update install file.
  * Remove patch: use_always_present_path_to_test.patch, no longer
    needed.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Sep 2014 15:24:08 +0200

kde-runtime (4:4.14.0-2) unstable; urgency=medium

  * Add libssh-gcrypt build-dep. (Closes: #759254, #739494)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 06 Sep 2014 20:44:36 +0200

kde-runtime (4:4.14.0-1) unstable; urgency=medium

  * Disable libssh build-dep, due to openssl license incompatibility.
    (Closes: #750867)
  * Update install files.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 23:26:40 +0200

kde-runtime (4:4.13.3-1) unstable; urgency=medium

  [ Adrien Grellier ]
  * build with libwebp (Closes: #736574)

  [ Maximiliano Curia ]
  * New upstream release.
  * Version khelpcenter4->khelpcenter breaks/conflicts to only affect <<
    4:4.0

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 21:53:33 +0200

kde-runtime (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies.
  * Update kde-runtime dependencies.
  * Update install files.
  * New patch: disable_kwalletd_autotests

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 14:19:23 +0200

=== debian/control ===
Source: kde-runtime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdepimlibs5-dev (>= 4:4.11),
               kdoctools (>= 4:4.11),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libattica-dev (>= 0.1.4),
               libboost-dev,
               libbz2-dev,
               libcanberra-dev,
               libexiv2-dev (>= 0.12),
               libgcrypt20-dev,
               libgpgme11-dev,
               libjpeg-dev,
               libkactivities-dev (>= 4:4.11),
               liblzma-dev,
               libnm-util-dev (>= 0.7)  [linux-any],
               libntrack-qt4-dev [linux-any],
               libopenexr-dev,
               libphonon-dev (>= 4:4.6.0really4.4.3),
               libpulse-dev (>= 0.9.16),
               libqca2-dev (>= 2.0.0),
               libqtwebkit-dev,
               libqzeitgeist-dev,
               libslp-dev,
               libsmbclient-dev,
               libssh-gcrypt-dev (>= 0.4.0),
               libwebp-dev,
               libx11-dev,
               libxcursor-dev,
               network-manager-dev (>= 0.7.0) [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-mime-info
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-runtime.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-runtime.git

Package: kde-runtime
Architecture: any
Depends: kde-runtime-data (>= ${source:Version}),
         kdelibs5-plugins (>= ${source:Upstream-Version}),
         oxygen-icon-theme (>= 4:4.6),
         plasma-scriptengine-javascript (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: djvulibre-bin,
          finger,
          icoutils,
          libcanberra-pulse,
          sound-theme-freedesktop
Replaces: kdebase-runtime (<< 4:4.7.2),
          kdebase-runtime-bin-kde4,
          kdebase-workspace-bin (<< 4:4.6),
          kdebluetooth (<< 1.0~beta7-1),
          kdelibs5-plugins (<< 4:4.5),
          plasma-netbook (<< 4:4.5.95)
Breaks: kdebase-runtime (<< 4:4.7.2),
        kdebase-runtime-bin-kde4,
        kdebase-workspace-bin (<< 4:4.6),
        kdebluetooth (<< 1.0~beta7-1),
        kdelibs5-plugins (<< 4:4.5),
        plasma-netbook (<< 4:4.5.95)
Conflicts: kdelibs4-dev
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications.

Package: kdebase-runtime
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-runtime, ${misc:Depends}
Description: Transitional package for the KDE runtime components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This transitional package takes care of pulling in the new kde-runtime package
 and can safely be removed after installation.

Package: kde-runtime-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Replaces: kcontrol,
          kde-workspace-bin (<< 4:4.10),
          kdebase-bin-kde3,
          kdebase-kio-plugins,
          kdebase-runtime-data (<< 4:4.7.2),
          kdebase-runtime-data-common,
          kdebase-workspace-bin (<< 4:4.5.95),
          kdelibs5-data (<< 4:4.5),
          plasma-netbook (<< 4:4.5.95),
          plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Breaks: kcontrol,
        kde-workspace-bin (<< 4:4.10),
        kdebase-bin-kde3,
        kdebase-kio-plugins,
        kdebase-runtime-data (<< 4:4.7.2),
        kdebase-runtime-data-common,
        kdebase-workspace-bin (<< 4:4.5.95),
        kdelibs5-data (<< 4:4.5),
        plasma-netbook (<< 4:4.5.95),
        plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: khelpcenter4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: htdig
Replaces: khelpcenter (<< 4:4.0.0)
Breaks: khelpcenter (<< 4:4.0.0)
Description: help center
 The KDE Help Center displays documentation on how to use the KDE plasma
 workspaces and applications, as well as UNIX man and info pages.
 It can search through documentation using the 'htdig' package.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

Package: kde-runtime-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kde-runtime (= ${binary:Version}), kdelibs5-dbg, ${misc:Depends}
Replaces: kdebase-runtime-dbg (<< 4:4.7.2),
          kdebase-workspace-dbg (<< 4:4.6),
          kdelibs5-dbg (<< 4:4.5)
Breaks: kdebase-runtime-dbg (<< 4:4.7.2),
        kdebase-workspace-dbg (<< 4:4.6),
        kdelibs5-dbg (<< 4:4.5)
Conflicts: kdelibs-dbg
Description: debugging symbols for KDE base runtime module
 This package contains the debugging symbols associated with kde-runtime.
 They will automatically be used by gdb for debugging kde-runtime related
 issues.

Package: kdebase-runtime-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: kde-runtime-dbg, ${misc:Depends}
Description: transitional package for kde-runtime-dbg
 This is a dummy transitional package for kde-runtime-dbg and can be safely
 removed after the installation is complete.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kde-runtime-([\d.]+).tar.xz

## kde-runtime 14.12.3

=== debian/changelog ===
kde-runtime (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:32:44 -0700

kde-runtime (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:36:06 -0800

kde-runtime (4:14.12.0-0ubuntu3) vivid; urgency=medium

  * Remove depends on qapt-runtime

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Jan 2015 11:05:59 +0100

kde-runtime (4:14.12.0-0ubuntu2) vivid; urgency=medium

  * Don't apply kubuntu_langpack_install.diff, libkubuntu is moving to
    kf5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Jan 2015 17:38:58 +0100

kde-runtime (4:14.12.0-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release.

  [ Jonathan Riddell ]
  * Do not make khelpcenter4, we have khelpcenter from plasma 5

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 12 Dec 2014 04:24:33 -0800

kde-runtime (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Philip Muškovac ]
  * Merge with debian git, remaining changes:
    - add and install 30-baloo-inotify-limit.conf
    - build-depend on libboost1.55-dev instead of libboost-dev
    - build-depend on libkubuntu-dev
    - kde-runtime:
      + depends on language-selector-common and libqapt2-runtime
      + recommends, not suggests icoutils, libcanberra-pulse,
        sound-theme-freedesktop
      + recommends udisks2, upower
      + breaks/replaces kde-runtime-data (<< 4:4.13.97)
    - kde-runtime-data breaks/replaces kde-runtime (<< 4:4.13.90)
    - khelpcenter4 breaks/replaces kde-runtime-data (<< 4:4.13.90)
    - put kdesu into /usr/lib/kde4/libexec/kdesu-distrib/
    - add kde-runtime.(postins|preinst|prerm) for kdesu handling
    - keep our changes to not-installed
    - add patches:
      + kubuntu_disable-gpg-backend.diff
      + kubuntu_drkonqi_whoopsie_integration.patch
      + kubuntu_langpack_install.diff
      + kubuntu_nodisplay_knetattach.diff
      + kubuntu_shutup_shutup_shutup.diff
      + upstream_CVE-2014-8600.diff
      + use_always_present_path_to_test.patch
  * New upstream release candidate
    - drop upstream_CVE-2014-8600.diff, applied upstream
    - refresh kde-runtime-data.install
  * Fix watch urls for new release location
  * Update Vcs urls for the new repository location
  * Update the maintainer

  [ Jonathan Riddell ]
  * Make depends on kdelibs5-plugins unversioned

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 23 Nov 2014 18:30:53 +0100

kde-runtime (4:4.14.2-2) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 25 Oct 2014 17:30:01 -0300

kde-runtime (4:4.14.2-0ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_CVE-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Nov 2014 17:52:25 +0100

kde-runtime (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kshorturifilter_qgetenv_calling_error.diff applied upstream.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:20:34 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kde-runtime
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,18 +11,19 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdepimlibs5-dev (>= 4:4.11),
+               kdepimlibs5-dev,
                kdoctools (>= 4:4.11),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libattica-dev (>= 0.1.4),
-               libboost-dev,
+               libboost1.55-dev,
                libbz2-dev,
                libcanberra-dev,
                libexiv2-dev (>= 0.12),
                libgcrypt20-dev,
                libgpgme11-dev,
                libjpeg-dev,
-               libkactivities-dev (>= 4:4.11),
+               libkactivities-dev,
+               libkubuntu-dev,
                liblzma-dev,
                libnm-util-dev (>= 0.7)  [linux-any],
                libntrack-qt4-dev [linux-any],
@@ -45,30 +46,33 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-runtime.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-runtime.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-runtime.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kde-runtime.git
 
 Package: kde-runtime
 Architecture: any
 Depends: kde-runtime-data (>= ${source:Version}),
-         kdelibs5-plugins (>= ${source:Upstream-Version}),
+         kdelibs5-plugins,
+         language-selector-common,
          oxygen-icon-theme (>= 4:4.6),
          plasma-scriptengine-javascript (= ${binary:Version}),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Suggests: djvulibre-bin,
-          finger,
-          icoutils,
-          libcanberra-pulse,
-          sound-theme-freedesktop
-Replaces: kdebase-runtime (<< 4:4.7.2),
+Recommends: icoutils,
+            kubuntu-debug-installer,
+            libcanberra-pulse | libcanberra-gstreamer,
+            sound-theme-freedesktop,
+            udisks2,
+            upower
+Suggests: djvulibre-bin, finger
+Replaces: kde-runtime-data (<< 4:4.13.97),
           kdebase-runtime-bin-kde4,
           kdebase-workspace-bin (<< 4:4.6),
           kdebluetooth (<< 1.0~beta7-1),
           kdelibs5-plugins (<< 4:4.5),
           plasma-netbook (<< 4:4.5.95)
-Breaks: kdebase-runtime (<< 4:4.7.2),
+Breaks: kde-runtime-data (<< 4:4.13.97),
         kdebase-runtime-bin-kde4,
         kdebase-workspace-bin (<< 4:4.6),
         kdebluetooth (<< 1.0~beta7-1),
@@ -105,6 +109,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Replaces: kcontrol,
+          kde-runtime (<< 4:4.13.90),
           kde-workspace-bin (<< 4:4.10),
           kdebase-bin-kde3,
           kdebase-kio-plugins,
@@ -115,6 +120,7 @@
           plasma-netbook (<< 4:4.5.95),
           plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
 Breaks: kcontrol,
+        kde-runtime (<< 4:4.13.90),
         kde-workspace-bin (<< 4:4.10),
         kdebase-bin-kde3,
         kdebase-kio-plugins,
@@ -127,19 +133,6 @@
 Description: shared data files for the KDE base runtime module
  This package contains the architecture-independent shared data files needed to
  run KDE applications.
- .
- This package is part of the KDE base runtime module.
-
-Package: khelpcenter4
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: htdig
-Replaces: khelpcenter (<< 4:4.0.0)
-Breaks: khelpcenter (<< 4:4.0.0)
-Description: help center
- The KDE Help Center displays documentation on how to use the KDE plasma
- workspaces and applications, as well as UNIX man and info pages.
- It can search through documentation using the 'htdig' package.
  .
  This package is part of the KDE base runtime module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kde-runtime-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kde-runtime-([\d.]+).tar.xz

## kde-runtime 15.08.2

=== debian/changelog ===
kde-runtime (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:11:18 +0100

kde-runtime (4:15.08.1-0ubuntu2) wily; urgency=medium

  * kde4libs as of 4.14.12-0ubuntu2 makes sure to default to breeze instead of
    oxygen, so adjust kde-runtime's runtime dependencies to pull in the breeze
    icon theme and the widget style to meet the runtime requirements of
    kdelibs.

 -- Harald Sitter <sitter@kde.org>  Mon, 05 Oct 2015 16:27:39 +0200

kde-runtime (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:22:50 +0100

kde-runtime (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Build-depend on unversioned boost package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 13:57:05 +0200

kde-runtime (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:13:03 +0100

kde-runtime (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:39:45 +0100

kde-runtime (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Bump kdepimlibs version
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:55:37 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                kdoctools (>= 4:4.11),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libattica-dev (>= 0.1.4),
-               libboost1.55-dev,
+               libboost-dev,
                libbz2-dev,
                libcanberra-dev,
                libexiv2-dev (>= 0.12),
@@ -43,7 +43,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                shared-mime-info
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-runtime.git/
@@ -51,7 +51,9 @@
 
 Package: kde-runtime
 Architecture: any
-Depends: kde-runtime-data (>= ${source:Version}),
+Depends: breeze-icon-theme,
+         kde-runtime-data (>= ${source:Version}),
+         kde-style-breeze-qt4,
          kdelibs5-plugins,
          language-selector-common,
          oxygen-icon-theme (>= 4:4.6),

## kde-runtime 15.12.3

=== kdesu/CMakeLists.txt ===


add_subdirectory( kdesu ) 
if (UNIX AND NOT APPLE)
add_subdirectory( kdesud )
endif(UNIX AND NOT APPLE)

=== kglobalaccel/CMakeLists.txt ===
project(kglobalaccel)

###############################################################################
### KDED Global Accel Daemon

include_directories( ${KDE4_KDEUI_INCLUDES} )

set(kglobalaccel_SRCS
    main.cpp
    kglobalacceld.cpp
    component.cpp
    globalshortcut.cpp
    globalshortcutsregistry.cpp
    globalshortcutcontext.cpp)

if ( Q_WS_X11 )
  set( kglobalaccel_SRCS ${kglobalaccel_SRCS} kglobalaccel_x11.cpp )
endif ( Q_WS_X11 )
if ( Q_WS_MAC )
  set( kglobalaccel_SRCS ${kglobalaccel_SRCS} kglobalaccel_mac.cpp )
endif ( Q_WS_MAC )
if ( Q_WS_WIN )
  set( kglobalaccel_SRCS ${kglobalaccel_SRCS} kglobalaccel_win.cpp )
endif ( Q_WS_WIN )
if ( Q_WS_QWS )
  set( kglobalaccel_SRCS ${kglobalaccel_SRCS} kglobalaccel_qws.cpp )
endif ( Q_WS_QWS )

kde4_add_kdeinit_executable( kglobalaccel NOGUI ${kglobalaccel_SRCS} )
target_link_libraries(kdeinit_kglobalaccel ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${X11_LIBRARIES})
if(Q_WS_MAC)
   target_link_libraries(kdeinit_kglobalaccel ${CARBON_LIBRARY})
endif(Q_WS_MAC)
target_link_libraries(kglobalaccel kdeinit_kglobalaccel)

# Install application and configuration
install( TARGETS kdeinit_kglobalaccel ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( TARGETS kglobalaccel ${INSTALL_TARGETS_DEFAULT_ARGS} )
# install( FILES kglobalaccel.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
install( FILES kglobalaccel.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
# KNotify configuration
install( FILES kglobalaccel.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kglobalaccel )

# Install some update file (not yet working)
#install( FILES kconf/kdedglobalaccel_kde42.upd DESTINATION ${DATA_INSTALL_DIR}/kconf_update)

###
### KDE 4.2 > 4.3 Migration Start
###
### Uninstall the kde 4.0 - 4.2 kdedglobalaccel files
find_file(
    KDEBASE_KGLOBALACCEL_REMOVE_OBSOLETE_KDED_DESKTOP_FILE
    kdedglobalaccel.desktop
    PATHS ${SERVICES_INSTALL_DIR}/kded
    NO_DEFAULT_PATH)
find_file(
    KDEBASE_KGLOBALACCEL_REMOVE_OBSOLETE_KDED_PLUGIN
    kded_globalaccel.so
    PATHS ${PLUGIN_INSTALL_DIR}
    NO_DEFAULT_PATH)
if(KDEBASE_KGLOBALACCEL_REMOVE_OBSOLETE_KDED_DESKTOP_FILE)
    install(CODE "MESSAGE(\"Removing kdedglobalaccel desktop file\")")
    install(CODE "file(REMOVE ${KDEBASE_KGLOBALACCEL_REMOVE_OBSOLETE_KDED_DESKTOP_FILE})")
endif(KDEBASE_KGLOBALACCEL_REMOVE_OBSOLETE_KDED_DESKTOP_FILE)
if(KDEBASE_KGLOBALACCEL_REMOVE_OBSOLETE_KDED_PLUGIN)
    install(CODE "MESSAGE(\"Removing kdedglobalaccel plugin\")")
    install(CODE "file(REMOVE ${KDEBASE_KGLOBALACCEL_REMOVE_OBSOLETE_KDED_PLUGIN})")
endif(KDEBASE_KGLOBALACCEL_REMOVE_OBSOLETE_KDED_PLUGIN)

###
### KDE 4.2 > 4.3 Migration End
###

=== solidautoeject/CMakeLists.txt ===
########### next target ###############

set(kded_solidautoeject_SRCS
   solidautoeject.cpp
)

kde4_add_plugin(kded_solidautoeject ${kded_solidautoeject_SRCS})

target_link_libraries(kded_solidautoeject ${KDE4_SOLID_LIBS} ${KDE4_KDECORE_LIBS})

install(TARGETS kded_solidautoeject DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install(FILES solidautoeject.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

=== doc/nepomuk/CMakeLists.txt ===
kde4_create_manpage(man-nepomukservicestub.8.docbook 8 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
kde4_create_manpage(man-nepomukserver.8.docbook 8 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== drkonqi/kdbgwin/CMakeLists.txt ===
project(kdbgwin)

set(kdbgwin_SRCS
    common.h
    main.cpp
    process.h
    process.cpp
    abstract_generator.h
    abstract_generator.cpp
    callbacks.h
    callbacks.cpp
    outputters.h
    outputters.cpp
)

set(COMMON_LIBS ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} dbghelp psapi shlwapi)

if ( MINGW )
    # FIXME this should be handled in a higher level cmake with proper find
    # scripts and configuration
    kde4_add_executable(kdbgwin ${kdbgwin_SRCS} mingw_generator.h mingw_generator.cpp)
    target_link_libraries(kdbgwin ${COMMON_LIBS} bfd iberty intl z)
endif ( MINGW )
if ( MSVC OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
    kde4_add_executable(kdbgwin ${kdbgwin_SRCS} msvc_generator.h msvc_generator.cpp)
    target_link_libraries(kdbgwin ${COMMON_LIBS})
endif ( MSVC OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))

install(TARGETS kdbgwin DESTINATION ${LIBEXEC_INSTALL_DIR})

=== khelpcenter/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### next target ###############

set(khelpcenter_KDEINIT_SRCS 
   navigator.cpp 
   navigatoritem.cpp 
   navigatorappitem.cpp 
   view.cpp 
   searchwidget.cpp 
   searchengine.cpp 
   docmetainfo.cpp 
   docentrytraverser.cpp 
   formatter.cpp 
   glossary.cpp 
   toc.cpp 
   mainwindow.cpp 
   docentry.cpp 
   htmlsearch.cpp 
   history.cpp 
   application.cpp 
   treebuilder.cpp 
   infotree.cpp 
   kcmhelpcenter.cpp 
   htmlsearchconfig.cpp 
   fontdialog.cpp 
   plugintraverser.cpp 
   scrollkeepertreebuilder.cpp 
   searchhandler.cpp )

########### next target ###############

kde4_add_kcfg_files(khelpcenter_SRCS ../prefs.kcfgc )

set(testmetainfo_SRCS
    testmetainfo.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../docmetainfo.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../docentry.cpp 
    ${khelpcenter_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/../docentrytraverser.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../htmlsearch.cpp )


kde4_add_executable(testmetainfo TEST ${testmetainfo_SRCS})

target_link_libraries(testmetainfo  ${KDE4_KDEUI_LIBS} )

=== kioslave/docfilter/CMakeLists.txt ===
########### install files ###############

install( FILES kio_docfilter.css  DESTINATION ${DATA_INSTALL_DIR}/kio_docfilter )

=== kwalletd/autotests/CMakeLists.txt ===
add_definitions(-DTEST_DATA="\\\"${CMAKE_CURRENT_SOURCE_DIR}/\\\"")

set(testname testpamopen)
include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})
kde4_add_unit_test(${testname} kwalletexecuter.cpp ${testname}.cpp)
target_link_libraries(${testname} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_KDECORE_LIBS})

set(testname testpamopennofile)
include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})
kde4_add_unit_test(${testname} kwalletexecuter.cpp ${testname}.cpp)
target_link_libraries(${testname} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_KDECORE_LIBS})

=== kwalletd/backend/CMakeLists.txt ===
########### Configure checks for kwalletbackend ###############

check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(sys/bitypes.h HAVE_SYS_BITYPES_H)

configure_file (config-kwalletbackend.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwalletbackend.h )

########### kwalletbackend ###############

set(kwalletbackend_LIB_SRCS
   blockcipher.cc
   blowfish.cc
   cbc.cc
   sha1.cc
   kwalletentry.cc
   kwalletbackend.cc
   backendpersisthandler.cpp
)

kde4_add_library(kwalletbackend SHARED ${kwalletbackend_LIB_SRCS})

target_link_libraries(kwalletbackend ${KDE4_KDEUI_LIBS} ${LIBGCRYPT_LIBRARIES})
if(QGPGME_FOUND)
target_link_libraries(kwalletbackend ${QGPGME_LIBRARIES} )
endif(QGPGME_FOUND)

# link with advapi32 on windows
if(WIN32 AND NOT WINCE)
   target_link_libraries(kwalletbackend advapi32)
endif(WIN32 AND NOT WINCE)

set_target_properties(kwalletbackend PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kwalletbackend ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(tests)

=== nepomuk/kioslaves/CMakeLists.txt ===
project(nepomuk_kio_slaves)

add_subdirectory(search)
add_subdirectory(timeline)
add_subdirectory(nepomuk)
add_subdirectory(tags)

=== doc/kcontrol/filemanager/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/filemanager)

=== doc/kcontrol/kded/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/kded)

=== debian/changelog ===
kde-runtime (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:12:08 -0700

kde-runtime (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: Remaining changes-
    Kept XS-Testsuite: autopkgtest 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:35:37 +0100

kde-runtime (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:18:24 +0100

kde-runtime (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:45:50 +0000

kde-runtime (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:34 +0100

kde-runtime (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:41 +0200

kde-runtime (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:37 +0200

kde-runtime (4:15.08.0-2) unstable; urgency=medium

  * Team upload.
  * Don't build smbclient support on hurd due to Bug #190367

 -- Diane Trout <diane@debian.org>  Mon, 31 Aug 2015 16:31:54 -0700

kde-runtime (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).
  * New patch: add_glib_for_nm.
  * Add libsoprano-dev build dep.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 20:14:55 +0200

kde-runtime (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:32 +0200

kde-runtime (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Remove upstream patch: upstream_sanitize_path
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 13:12:06 +0100

kde-runtime (4:4.14.2-5) UNRELEASED; urgency=medium

  * Team upload.
  * Don't build smbclient support on hurd due to Bug #190367

 -- Diane Trout <diane@debian.org>  Thu, 27 Aug 2015 18:11:46 -0700

kde-runtime (4:4.14.2-4) unstable; urgency=medium

  * Team upload.
  * Remove helpcenter4 binary as it's now provided as a transitional package
    by the Kf5 based khelpcenter package
    - Remove from debian/control
    - Remove debian/khelpcenter4.dirs debian/khelpcenter4.install
      debian/khelpcenter4.links debian/khelpcenter4.lintian-overrides
    - Add files from debian/khelpcenter4.install to debian/not-installed

 -- Scott Kitterman <scott@kitterman.com>  Wed, 26 Aug 2015 00:07:42 -0400

kde-runtime (4:4.14.2-3) unstable; urgency=medium

  * Team upload.
  * Add libsoprano-dev to build-depends to fix FTBFS now that it is no longer
    pulled in transitively

 -- Scott Kitterman <scott@kitterman.com>  Tue, 25 Aug 2015 16:59:36 -0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.9.95~),
                kdepimlibs5-dev,
                kdoctools (>= 4:4.11),
                libasound2-dev (>= 1.0.14a) [linux-any],
@@ -19,13 +20,12 @@
                libbz2-dev,
                libcanberra-dev,
                libexiv2-dev (>= 0.12),
-               libgcrypt20-dev,
+               libgcrypt20-dev (>= 1.5.0~),
                libgpgme11-dev,
                libjpeg-dev,
                libkactivities-dev,
-               libkubuntu-dev,
                liblzma-dev,
-               libnm-util-dev (>= 0.7)  [linux-any],
+               libnm-util-dev (>= 0.7) [linux-any],
                libntrack-qt4-dev [linux-any],
                libopenexr-dev,
                libphonon-dev (>= 4:4.6.0really4.4.3),
@@ -34,7 +34,8 @@
                libqtwebkit-dev,
                libqzeitgeist-dev,
                libslp-dev,
-               libsmbclient-dev,
+               libsmbclient-dev [!hurd-any],
+               libsoprano-dev,
                libssh-gcrypt-dev (>= 0.4.0),
                libwebp-dev,
                libx11-dev,
@@ -46,8 +47,8 @@
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-runtime.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kde-runtime.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kde-runtime.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kde-runtime.git
 
 Package: kde-runtime
 Architecture: any
@@ -55,14 +56,12 @@
          kde-runtime-data (>= ${source:Version}),
          kde-style-breeze-qt4,
          kdelibs5-plugins,
-         language-selector-common,
          oxygen-icon-theme (>= 4:4.6),
          plasma-scriptengine-javascript (= ${binary:Version}),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: icoutils,
-            kubuntu-debug-installer,
             libcanberra-pulse | libcanberra-gstreamer,
             sound-theme-freedesktop,
             udisks2,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# Because of bug #190367 hurd doesn't support samba
DEB_TARGET_ARCH_OS:=$(shell dpkg-architecture -qDEB_TARGET_ARCH_OS)
ifeq ($(DEB_TARGET_ARCH_OS), hurd)
	DH_INSTALL_PARAMS := -Xkio_smb.so -Xsmb-network.desktop -Xsmb.protocol
endif

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/attica_kde.so

override_dh_shlibdeps:
	$(overridden_command) -pplasma-scriptengine-javascript -- \
		-xkdebase-runtime -xkde-runtime
	$(overridden_command) -pkde-runtime -- -xkdebase-runtime
	$(overridden_command) --remaining-packages

override_dh_fixperms:
	$(overridden_command) -Xusr/lib/kde4/libexec/kdesud

override_dh_strip:
	$(overridden_command) --dbg-package=kde-runtime-dbg

override_dh_install:
	dh_install $(DH_INSTALL_PARAMS)

=== debian/tests/control ===
# phonon-backend-vlc is not strictly necessary, but avoid producing
# lots of warnings that you would normally get with phonon-backend-null.
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kdelibs5-plugins, udisks2, phonon-backend-vlc,
         ghostscript, kate
Restrictions: build-needed

## kde-runtime 16.04.3

=== debian/changelog ===
kde-runtime (4:16.04.3-0ubuntu2) yakkety; urgency=medium

  * Drop unused build-dependency on obsolete libqzeitgeist-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Sep 2016 18:53:20 -0700

kde-runtime (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:45:25 +0200

kde-runtime (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:47 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.9.95~),
+               kdelibs5-dev (>= 4:4.14.22~),
                kdepimlibs5-dev,
-               kdoctools (>= 4:4.11),
+               kdoctools (>= 4:4.14.22~),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libattica-dev (>= 0.1.4),
                libboost-dev,
@@ -32,7 +32,6 @@
                libpulse-dev (>= 0.9.16),
                libqca2-dev (>= 2.0.0),
                libqtwebkit-dev,
-               libqzeitgeist-dev,
                libslp-dev,
                libsmbclient-dev [!hurd-any],
                libsoprano-dev,
@@ -47,8 +46,8 @@
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kde-runtime.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kde-runtime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-runtime
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-runtime
 
 Package: kde-runtime
 Architecture: any
@@ -146,29 +145,3 @@
  JavaScript.
  .
  This package is part of the KDE base runtime module.
-
-Package: kde-runtime-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kde-runtime (= ${binary:Version}), kdelibs5-dbg, ${misc:Depends}
-Replaces: kdebase-runtime-dbg (<< 4:4.7.2),
-          kdebase-workspace-dbg (<< 4:4.6),
-          kdelibs5-dbg (<< 4:4.5)
-Breaks: kdebase-runtime-dbg (<< 4:4.7.2),
-        kdebase-workspace-dbg (<< 4:4.6),
-        kdelibs5-dbg (<< 4:4.5)
-Conflicts: kdelibs-dbg
-Description: debugging symbols for KDE base runtime module
- This package contains the debugging symbols associated with kde-runtime.
- They will automatically be used by gdb for debugging kde-runtime related
- issues.
-
-Package: kdebase-runtime-dbg
-Section: oldlibs
-Architecture: all
-Priority: extra
-Depends: kde-runtime-dbg, ${misc:Depends}
-Description: transitional package for kde-runtime-dbg
- This is a dummy transitional package for kde-runtime-dbg and can be safely
- removed after the installation is complete.

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	$(overridden_command) -Xusr/lib/kde4/libexec/kdesud
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kde-runtime-dbg
+	$(overridden_command) --ddeb-migration='kde-runtime-dbg (<= 4:15.12.1-1~~)'
 
 override_dh_install:
 	dh_install $(DH_INSTALL_PARAMS)
